> ## Documentation Index
> Fetch the complete documentation index at: https://developer.audienceful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Fields

> Returns a cursor-paginated list of your custom fields.

Requires the `fields:read` scope.

### Query parameters

<ParamField query="page_size" type="number" default="100">
  The number of fields to return per page.
</ParamField>

<ParamField query="cursor" type="string">
  The pagination cursor from a previous response's `next_cursor`. See [Pagination](/pagination).
</ParamField>

### Response

<ResponseField name="data" type="array">
  The page of custom fields.

  <Expandable title="properties">
    <Snippet file="fields/fields-list.mdx" />
  </Expandable>
</ResponseField>

<ResponseField name="has_more" type="boolean">
  Whether more fields exist after this page.
</ResponseField>

<ResponseField name="next_cursor" type="string or null">
  The cursor to pass as `?cursor=` to fetch the next page.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.audienceful.com/v2/fields' \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <your-api-key>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.audienceful.com/v2/fields"
  headers = {
      "Content-Type": "application/json",
      "X-Api-Key": "<your-api-key>",
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.audienceful.com/v2/fields", {
    method: "GET",
    headers: {
      "Content-Type": "application/json",
      "X-Api-Key": "<your-api-key>",
    },
  });
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "data": [
      {
        "id": "4XJA8RZ6kJRwMJYDBETyZa",
        "name": "Email",
        "data_name": "email",
        "type": "string",
        "editable": false,
        "internal": true,
        "required": false
      },
      {
        "id": "o4i4TNZnWsq2f2ZWVqNNWY",
        "name": "Plan",
        "data_name": "plan",
        "type": "string",
        "editable": true,
        "internal": false,
        "required": false
      }
    ],
    "has_more": false,
    "next_cursor": null
  }
  ```
</ResponseExample>
